package Bencher::ScenarioR::SortKeyTop;

our $VERSION = 0.001; # VERSION

our $results = [
  [
    200,
    "OK",
    [
      {
        dataset     => "elems=1000, n=10",
        errors      => 2.7e-07,
        participant => "Sort::Key::Top::PP",
        rate        => 849,
        samples     => 20,
        time        => 1180,
        vs_slowest  => 1,
      },
      {
        dataset     => "elems=1000, n=10",
        errors      => 4.5e-08,
        participant => "Sort::Key::Top",
        rate        => 5960,
        samples     => 28,
        time        => 168,
        vs_slowest  => 7.02,
      },
      {
        dataset     => "elems=100, n=10",
        errors      => 0,
        participant => "Sort::Key::Top::PP",
        rate        => 8558.93,
        samples     => 30,
        time        => 116.837,
        vs_slowest  => 10.0763,
      },
      {
        dataset     => "elems=1000, n=10",
        errors      => 1.3e-08,
        participant => "sort",
        rate        => 31900,
        samples     => 21,
        time        => 31.3,
        vs_slowest  => 37.6,
      },
      {
        dataset     => "elems=100, n=10",
        errors      => 0,
        participant => "Sort::Key::Top",
        rate        => 58651.7,
        samples     => 21,
        time        => 17.0498,
        vs_slowest  => 69.0499,
      },
      {
        dataset     => "elems=10 , n=5",
        errors      => 1e-08,
        participant => "Sort::Key::Top::PP",
        rate        => 93600,
        samples     => 20,
        time        => 10.7,
        vs_slowest  => 110,
      },
      {
        dataset     => "elems=100, n=10",
        errors      => 1.6e-09,
        participant => "sort",
        rate        => 289000,
        samples     => 21,
        time        => 3.46,
        vs_slowest  => 340,
      },
      {
        dataset     => "elems=10 , n=5",
        errors      => 0,
        participant => "Sort::Key::Top",
        rate        => 476956,
        samples     => 21,
        time        => 2.09663,
        vs_slowest  => 561.514,
      },
      {
        dataset     => "elems=10 , n=5",
        errors      => 0,
        participant => "sort",
        rate        => 1416550,
        samples     => 20,
        time        => 0.705943,
        vs_slowest  => 1667.68,
      },
    ],
    {
      "func.bencher_args"    => {
                                  action => "bench",
                                  note => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
                                  scenario_module => "SortKeyTop",
                                },
      "func.bencher_version" => undef,
      "func.cpu_info"        => [
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 0,
                                    speed                        => 2747.226,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 1,
                                    speed                        => "2743.070",
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 2,
                                    speed                        => 2814.929,
                                    stepping                     => 4,
                                  },
                                  {
                                    address_width                => 64,
                                    architecture                 => "AMD-64",
                                    bus_speed                    => undef,
                                    data_width                   => 64,
                                    family                       => 6,
                                    flags                        => [
                                                                      "fpu",
                                                                      "vme",
                                                                      "de",
                                                                      "pse",
                                                                      "tsc",
                                                                      "msr",
                                                                      "pae",
                                                                      "mce",
                                                                      "cx8",
                                                                      "apic",
                                                                      "sep",
                                                                      "mtrr",
                                                                      "pge",
                                                                      "mca",
                                                                      "cmov",
                                                                      "pat",
                                                                      "pse36",
                                                                      "clflush",
                                                                      "dts",
                                                                      "acpi",
                                                                      "mmx",
                                                                      "fxsr",
                                                                      "sse",
                                                                      "sse2",
                                                                      "ss",
                                                                      "ht",
                                                                      "tm",
                                                                      "pbe",
                                                                      "syscall",
                                                                      "nx",
                                                                      "pdpe1gb",
                                                                      "rdtscp",
                                                                      "lm",
                                                                      "constant_tsc",
                                                                      "arch_perfmon",
                                                                      "pebs",
                                                                      "bts",
                                                                      "rep_good",
                                                                      "nopl",
                                                                      "xtopology",
                                                                      "nonstop_tsc",
                                                                      "aperfmperf",
                                                                      "eagerfpu",
                                                                      "pni",
                                                                      "pclmulqdq",
                                                                      "dtes64",
                                                                      "monitor",
                                                                      "ds_cpl",
                                                                      "vmx",
                                                                      "smx",
                                                                      "est",
                                                                      "tm2",
                                                                      "ssse3",
                                                                      "fma",
                                                                      "cx16",
                                                                      "xtpr",
                                                                      "pdcm",
                                                                      "pcid",
                                                                      "sse4_1",
                                                                      "sse4_2",
                                                                      "x2apic",
                                                                      "movbe",
                                                                      "popcnt",
                                                                      "tsc_deadline_timer",
                                                                      "aes",
                                                                      "xsave",
                                                                      "avx",
                                                                      "f16c",
                                                                      "rdrand",
                                                                      "lahf_lm",
                                                                      "abm",
                                                                      "3dnowprefetch",
                                                                      "ida",
                                                                      "arat",
                                                                      "epb",
                                                                      "pln",
                                                                      "pts",
                                                                      "dtherm",
                                                                      "tpr_shadow",
                                                                      "vnmi",
                                                                      "flexpriority",
                                                                      "ept",
                                                                      "vpid",
                                                                      "fsgsbase",
                                                                      "tsc_adjust",
                                                                      "bmi1",
                                                                      "hle",
                                                                      "avx2",
                                                                      "smep",
                                                                      "bmi2",
                                                                      "erms",
                                                                      "invpcid",
                                                                      "rtm",
                                                                      "rdseed",
                                                                      "adx",
                                                                      "smap",
                                                                      "xsaveopt",
                                                                    ],
                                    L2_cache                     => { max_cache_size => "4096 KB" },
                                    manufacturer                 => "GenuineIntel",
                                    model                        => 61,
                                    name                         => "Intel(R) Core(TM) M-5Y71 CPU \@ 1.20GHz",
                                    number_of_cores              => 2,
                                    number_of_logical_processors => 4,
                                    processor_id                 => 3,
                                    speed                        => 2836.695,
                                    stepping                     => 4,
                                  },
                                ],
      "func.elapsed_time"    => 0.260397911071777,
      "func.module_startup"  => undef,
      "func.module_versions" => {
                                  "Bencher::Scenario::SortKeyTop" => undef,
                                  "Benchmark::Dumb" => "0.10",
                                  "Devel::Platform::Info" => 0.16,
                                  "perl" => "v5.24.0",
                                  "Sort::Key::Top" => 0.08,
                                  "Sort::Key::Top::PP" => 0.003,
                                  "Sys::Info" => 0.78,
                                },
      "func.note"            => "Run by Pod::Weaver::Plugin::Bencher::Scenario",
      "func.permute"         => ["perl", ["perl"], "participant", [0, 1, 2], "dataset", [0, 1, 2]],
      "func.platform_info"   => {
                                  archname => "x86_64",
                                  codename => "rosa",
                                  is32bit  => 0,
                                  is64bit  => 1,
                                  kernel   => "linux-3.19.0-32-generic",
                                  kname    => "Linux",
                                  kvers    => "3.19.0-32-generic",
                                  osflag   => "linux",
                                  oslabel  => "LinuxMint",
                                  osname   => "GNU/Linux",
                                  osvers   => 17.3,
                                  source   => {
                                                "cat /etc/.issue" => "",
                                                "cat /etc/issue"  => "Linux Mint 17.3 Rosa \\n \\l",
                                                "lsb_release -a"  => "Distributor ID:\tLinuxMint\nDescription:\tLinux Mint 17.3 Rosa\nRelease:\t17.3\nCodename:\trosa",
                                                "uname -a"        => "Linux backpacker 3.19.0-32-generic #37~14.04.1-Ubuntu SMP Thu Oct 22 09:41:40 UTC 2015 x86_64 x86_64 x86_64 GNU/Linux",
                                                "uname -m"        => "x86_64",
                                                "uname -o"        => "GNU/Linux",
                                                "uname -r"        => "3.19.0-32-generic",
                                                "uname -s"        => "Linux",
                                              },
                                },
      "func.precision"       => 0,
      "func.scenario_module" => "Bencher::Scenario::SortKeyTop",
      "func.time_end"        => 1479022778.14706,
      "func.time_factor"     => 1000000,
      "func.time_start"      => 1479022777.88667,
      "table.field_aligns"   => ["left", "left", "number", "number", "number", "number", "number"],
      "table.field_units"    => [undef, undef, "/s", "\x{3BC}s"],
      "table.fields"         => [
                                  "participant",
                                  "dataset",
                                  "rate",
                                  "time",
                                  "vs_slowest",
                                  "errors",
                                  "samples",
                                ],
    },
  ],
];

1;
# ABSTRACT: Benchmark Sort::Key::Top

=head1 DESCRIPTION

This module is automatically generated by Pod::Weaver::Plugin::Bencher::Scenario during distribution build.

A Bencher::ScenarioR::* module contains the raw result of sample benchmark and might be useful for some stuffs later.

